<template>
	<el-dialog v-model="dialogVisible" title="选择安全目标指标" width="50%" draggable>
		<el-row>
			<el-col :span="20">
		<el-form ref="ruleFormRef" :model="ruleForm" status-icon>
			<el-row>
				<el-col :span="6">
					<el-form-item>
						<el-input v-model="ruleForm.pass" placeholder="安全目标指标" />
					</el-form-item>
				</el-col>
				<el-col :span="6" :offset="1">
					<el-form-item>
						<el-input v-model="ruleForm.checkPass" placeholder="目标指标编号" />
					</el-form-item>
				</el-col>
				<el-col :span="6" :offset="1">
					<el-form-item>
						<el-button type="primary" @click="submitForm(ruleFormRef)">查询</el-button>
						<el-button @click="resetForm(ruleFormRef)">重置</el-button>
					</el-form-item>
				</el-col>
			</el-row>
		</el-form>
		<el-button size="default" :icon="Delete">清除选择</el-button>
		<el-table :data="tableData" style="width: 100%;margin-top:20px">
			<el-table-column align="center" prop="date" label="安全目标指标" width="180" />
			<el-table-column align="center" prop="name" label="目标指标编号" width="180" />
			<el-table-column align="center" prop="address" label="年度" />
			<el-table-column align="center" prop="address" label="指标值" />
		</el-table>
		<el-pagination
            style="padding:20px 0;border-bottom:1px solid #dedede"
			v-model:currentPage="currentPage4"
			v-model:page-size="pageSize4"
			:page-sizes="[100, 200, 300, 400]"
			:small="small"
			:disabled="disabled"
			:background="background"
			layout="total, sizes, prev, pager, next, jumper"
			:total="400"
			@size-change="handleSizeChange"
			@current-change="handleCurrentChange"
		/>
		</el-col>
		<el-col :span="4"></el-col>
		</el-row>
		<template #footer>
			<span class="dialog-footer">
				<el-button @click="dialogVisible = false" size="default">关闭</el-button>
				<el-button type="primary" @click="dialogVisible = false" size="default">确定</el-button>
			</span>
		</template>
	</el-dialog>
</template>
<script lang="ts">
import { defineComponent, reactive, ref } from 'vue';
import { Delete } from '@element-plus/icons-vue';
export default defineComponent({
	setup() {
		const dialogVisible = ref<boolean>(false);
		const openDailog = () => {
			dialogVisible.value = true;
		};
		// 搜索条件
		const ruleForm = reactive({
			pass: '',
			checkPass: '',
		});
		// 表格
		const tableData = [
			{
				date: '2016-05-03',
				name: 'Tom',
				address: 'No. 189, Grove St, Los Angeles',
			},
			{
				date: '2016-05-02',
				name: 'Tom',
				address: 'No. 189, Grove St, Los Angeles',
			},
			{
				date: '2016-05-04',
				name: 'Tom',
				address: 'No. 189, Grove St, Los Angeles',
			},
			{
				date: '2016-05-01',
				name: 'Tom',
				address: 'No. 189, Grove St, Los Angeles',
			},
		];
		const pageSize4 = ref(100);
		const handleSizeChange = (val: number) => {
			console.log(`${val} items per page`);
		};
		const handleCurrentChange = (val: number) => {
			console.log(`current page: ${val}`);
		};
		return {
			dialogVisible,
			openDailog,
			ruleForm,
			tableData,
			pageSize4,
			handleSizeChange,
			handleCurrentChange,
			Delete,
		};
	},
});
</script>
<style scoped>
.el-row {
	padding: 0 0 20px 0;
}
</style>
